# classes/phing/tasks/ext/pdo/XMLPDOResultFormatter.php

## \XMLPDOResultFormatter
jump to top

XML formatter for PDO results.

This class reprsents the output of a query using a simple XML schema.

<results> <row> value value2 </row> <row> value value2 </row> </results>

The actual names of the colums will depend on the fetchmode that was used with PDO.

Extends from
  \PDOResultFormatter
author
  Hans Lellelid
package
  phing.tasks.ext.pdo
since
  2.3.0

### Properties

`\DOMDocument $doc= ''`

The XML document being created.

Details

Type
  \DOMDocument

`string $encoding= ''`

XML document encoding

Details

Type
  string

`boolean $formatOutput= 'true'`

Default value `true` Details

Type
  boolean

`\DOMElement $rootNode= ''`

Details

Type
  \DOMElement

### Methods

`close( ) :`
Write XML to file and free the DOM objects.
`getPreferredOutfile( ) : string`
Gets a preferred filename for an output file.

If no filename is specified, this is where the results will be placed (unless usefile=false).

Returns

Type | Description
--- | ---
string |

`initialize( ) :`
`processRow( array $row ) :`
Processes a specific row from PDO result set.
Parameters

Name | Type | Description
--- | --- | ---
$row | array | Row of PDO result set.

`setEncoding( string $v ) :`
Set the DOM document encoding.
Parameters

Name | Type | Description
--- | --- | ---
$v | string |

`setFormatOutput( boolean $v ) :`
Parameters

Name | Type | Description
--- | --- | ---
$v | boolean |

Documentation was generated by DocBlox 0.13.1.